/*
 * Class CHAIN [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_600 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_600 [] = {0xFF01,237,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_600 [] = {0xFF01,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_600 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_600 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_600 [] = {0xFF01,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_600 [] = {0xFF01,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_600 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_600 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_600 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_600 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_600 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_600 [] = {599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_600 [] = {0xFF01,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_600 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_600 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_600 [] = {0xFF01,599,176,0xFFFF};
static const EIF_TYPE_INDEX egt_24_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_600 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_600 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_600 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_600[] = {
	{EIF_GENERIC(NULL), 4405, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_600), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_600), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_600), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_600), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_600), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_600), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_600), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_600), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_600), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_600), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_600), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_600), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_600), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_600), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_600), 2388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_600), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_600), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2568, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_600), 2381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4415, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2565, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2566, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2567, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_600), 3376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_600), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_600), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4414, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_600), 4406, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_600), 4407, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4416, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4403, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_600), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_600), 4410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_600), 4411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4418, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_600), 4410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_600), 4413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_600), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init600(void)
{
	IDSC(desc_600, 0, 599);
	IDSC(desc_600 + 1, 1, 599);
	IDSC(desc_600 + 32, 77, 599);
	IDSC(desc_600 + 41, 243, 599);
	IDSC(desc_600 + 47, 155, 599);
	IDSC(desc_600 + 56, 282, 599);
	IDSC(desc_600 + 65, 99, 599);
	IDSC(desc_600 + 67, 30, 599);
	IDSC(desc_600 + 74, 294, 599);
	IDSC(desc_600 + 77, 237, 599);
	IDSC(desc_600 + 79, 329, 599);
	IDSC(desc_600 + 93, 187, 599);
	IDSC(desc_600 + 99, 256, 599);
	IDSC(desc_600 + 102, 229, 599);
	IDSC(desc_600 + 103, 184, 599);
	IDSC(desc_600 + 106, 50, 599);
	IDSC(desc_600 + 107, 35, 599);
	IDSC(desc_600 + 108, 172, 599);
}


#ifdef __cplusplus
}
#endif
